L'équipe Vigil@nce veille les vulnérabilités publiques qui affectent votre parc informatique, puis propose des correctifs sécurité, une base de données de vigilance et des outils pour y remédier.

Vulnérabilité de Django : traversée de répertoire via archive.extract

Synthèse de la vulnérabilité 

Un attaquant peut traverser les répertoires via archive.extract() de Django, afin de créer un fichier situé hors de la racine du service.
Logiciels vulnérables : Ansible Tower, Debian, Fedora, SnapCenter Backup Management, Solaris, Ubuntu.
Gravité de cette annonce : 2/4.
Date de création : 01/02/2021.
Références de cette vulnérabilité informatique : CVE-2021-3281, DLA-2540-1, FEDORA-2021-5329c680f7, NTAP-20210226-0004, USN-4715-1, USN-4715-2, VIGILANCE-VUL-34447.

Description de la vulnérabilité 

Un attaquant peut traverser les répertoires via archive.extract() de Django, afin de créer un fichier situé hors de la racine du service.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Cette alerte de menace informatique concerne les logiciels ou systèmes comme Ansible Tower, Debian, Fedora, SnapCenter Backup Management, Solaris, Ubuntu.

Notre équipe Vigil@nce a déterminé que la gravité de cette faille est moyen.

Le niveau de confiance est de type confirmé par l'éditeur, avec une provenance de client internet.

Un attaquant avec un niveau de compétence expert peut exploiter ce bulletin de vulnérabilité informatique.

Solutions pour cette menace 

Ansible Tower : version 3.8.2.
La version 3.8.2 est corrigée :
  https://www.ansible.com/

Debian 9 : nouveaux paquetages python-django.
De nouveaux paquetages sont disponibles :
  Debian 9 : python-django 1:1.10.7-2+deb9u10

Fedora 33 : nouveaux paquetages python-django.
De nouveaux paquetages sont disponibles :
  Fedora 33 : python-django 3.0.12-1.fc33

NetApp SnapCenter : solution pour Django.
La solution est indiquée dans les sources d'information.

Oracle Solaris : patch pour logiciels tiers de avril 2021 v1.
Un patch est disponible :
  https://support.oracle.com/rs?type=doc&id=1448883.1

Ubuntu : nouveaux paquetages python-django.
De nouveaux paquetages sont disponibles :
  Ubuntu 20.10 : python3-django 2:2.2.16-1ubuntu0.1
  Ubuntu 20.04 LTS : python3-django 2:2.2.12-1ubuntu0.3
  Ubuntu 18.04 LTS : python-django 1:1.11.11-1ubuntu1.10, python3-django 1:1.11.11-1ubuntu1.10
  Ubuntu 16.04 LTS : python-django 1.8.7-1ubuntu5.14, python3-django 1.8.7-1ubuntu5.14
  Ubuntu 14.04 ESM : python-django 1.6.11-0ubuntu1.3+esm2
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Service de veille sur les vulnérabilités informatiques 

Vigil@nce fournit une base de vulnérabilité applicative. La veille sécurité Vigil@nce publie des bulletins de vulnérabilités pour les failles qui impactent le système d'information.